Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2022-08-30 15:12:25 +0300
committerGitLab Bot <gitlab-bot@gitlab.com>2022-08-30 15:12:25 +0300
commit60273ebb302dabd6e724e4b7baf9ed7b39de5c09 (patch)
tree094133ffdc73d53c56e9779cfeb4f3a548d255c3 /scripts/generate-e2e-pipeline
parent0c918eb567a29de7ecfc890e8e2dd90e900e7e58 (diff)
Add latest changes from gitlab-org/gitlab@master
Diffstat (limited to 'scripts/generate-e2e-pipeline')
-rwxr-xr-xscripts/generate-e2e-pipeline33
1 files changed, 33 insertions, 0 deletions
diff --git a/scripts/generate-e2e-pipeline b/scripts/generate-e2e-pipeline
new file mode 100755
index 00000000000..0fa940d69af
--- /dev/null
+++ b/scripts/generate-e2e-pipeline
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+set -e
+
+# Script to generate e2e test child pipeline
+# This is required because environment variables that are generated dynamically are not picked up by rules in child pipelines
+
+pipeline_yml="${1:-package-and-test.yml}"
+
+if [ "$QA_SKIP_ALL_TESTS" == "true" ]; then
+ echo "Generated no-op child pipeline due to QA_SKIP_ALL_TESTS set to 'true'"
+ cp .gitlab/ci/package-and-test/skip.gitlab-ci.yml $pipeline_yml
+ exit
+fi
+
+variables=$(cat <<YML
+variables:
+ RELEASE: "${CI_REGISTRY}/gitlab-org/build/omnibus-gitlab-mirror/gitlab-ee:${CI_MERGE_REQUEST_SOURCE_BRANCH_SHA:-$CI_COMMIT_SHA}"
+ SKIP_REPORT_IN_ISSUES: "${SKIP_REPORT_IN_ISSUES:-true}"
+ COLORIZED_LOGS: "true"
+ QA_LOG_LEVEL: "info"
+ QA_TESTS: "$QA_TESTS"
+ QA_FEATURE_FLAGS: "${QA_FEATURE_FLAGS}"
+ QA_FRAMEWORK_CHANGES: "${QA_FRAMEWORK_CHANGES:-false}"
+ QA_SUITES: "$QA_SUITES"
+YML
+)
+
+echo "$variables" >$pipeline_yml
+cat .gitlab/ci/package-and-test/main.gitlab-ci.yml >>$pipeline_yml
+
+echo "Generated e2e:package-and-test pipeline with following variables section:"
+echo "$variables"